De documentación, malentendidos y rollo es decir Moodle

Bueno originalmente andaba un poco frustrado, pero ya dándole un poco de distancia vale de todas formas la aclaración por ahí hace unos días fui a un seminario, quien estaba hablando es un experto en Moodle y efectivamente tiene mucha experiencia en ámbitos que yo no manejo y me congratulo de haber asistido al seminario, me voy con muy buenas ideas y con algunos tips muy interesantes que no había considerado, sin embargo tenia curiosidad ya que aunque involucrado con Moodle lo tengo más bien en una instalación básica y durante mucho tiempo tan solo estuve con la versión de mantenimiento de Debian.

Entonces pregunte especialmente sobre el modelo ágil que “recientemente” adopto Moodle donde hay prácticamente un ciclo de 2 releases cada 6 meses [1] y donde la versión estable sale de este ciclo [2] pero donde en un año pasamos completamente de versión [3] (como nota de igual manera pregunte sobre la certificación pero con lo de los releases, nos quedó claro que si intentan ir con el estable, pero que van entre 6 meses y un tanto más atrasados por la adecuación de materiales, reactivos, traducción, etc.)

Pero regresando a la pregunta, era sobre si sabía sobre si Moodle planeaba una versión de soporte largo y como ejemplo mencione la rama 1.9.x que fue liberada el 3 de marzo de 2008 del cual su ciclo de mantenimiento para el core termino en junio de 2011 (3.5 años), su mantenimiento para problemas de seguridad termino en junio de 2012 (4.5 años) y Catalyst le dio mantenimiento de seguridad hasta diciembre de 2013 (6 años) [4], esto a mi gusto permitió que muchos docentes y administradores tuvieran un marco común para desarrollar y que el construir documentación fuese consistente y no tuviera que cambiarse en un largo relativamente largo de tiempo, entonces mi pregunta fue si es que existen planes para un reléase de soporte a largo plazo (Long Term Support, LTS) como hacen algunas distribuciones de Linux, Ubuntu o Red Hat por poner un ejemplo, a lo que respondió algo como lo siguiente “si te han dicho que necesitas de cambiar de versión para estar con el soporte de seguridad quien te lo dijo está equivocado, lo que uno debe tomar en cuenta para cambiar de versión son las características que ofrece cada versión y planificar para no causar problemas a los docentes […] en la página de Moodle puedes ver que aún se encuentran para descargar versiones como…” en fin, no quise argumentar más y es probable que quien me contesto no conociese los recursos que coloque abajo, y bueno lo pongo acá al menos para quitarme la espinita, no hacer mucho ruido y aclarar que efectivamente los releases anteriores están disponibles en el sitio, pero Moodle no es solo código propio incluye módulos, editores y muchas cosas de terceros y aún el código propio si no se le mantiene al día por posibles fallos de seguridad, puede ser vulnerado en cualquier momento y al tener o mantener versiones que ya no tienen soporte de seguridad, a menos que uno le dedique el tiempo a ponerla al día esta uno solo en ese respecto.

Resumiendo, si el día de hoy quieren correr 1.9.x+ pueden hacerlo que de hecho es la elección de algunos, pero si alguna parte del código tiene fallos, estos no van a ser reportados o corregidos por Moodle, ya que alcanzo su fin de vida (End of Life o End of Support, EOL, EOS).

Intente hacer notar esto en mi pregunta pero al parecer no me di a entender y probablemente el ponente prefirió asegurar sobre algo que no sabe a confesar que no sabe… así es la vida.

[1] http://docs.moodle.org/dev/Releases#General_release_calendar
[2] http://docs.moodle.org/dev/Roadmap
[3] http://docs.moodle.org/dev/Moodle_versions
[4] http://docs.moodle.org/dev/Releases#Moodle_1.9

Esta entrada fue publicada en edusol, General, planetalinux y etiquetada , , , , , , , , , . Guarda el enlace permanente.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.